package com.gic.haoban.manage.web.vo.content.creative;


import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.util.Date;
import java.util.List;

public class ContentMaterialVO {
    /**
     * 素材id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long contentMaterialId;
    /**
     * 素材用途0无（未审核）1营销2社区
     */
    private Integer materialPurpose;

    /**
     * 素材名称
     */
    private String materialTitle;
    /**
     * 素材类型1图文4视频
     */
    private Integer materialType;
    /**
     * 1企业/品牌方2导购
     */
    private Integer materialSource;
    /**
     * 上架状态0未上架1已上架
     */
    private Integer shelfStatus;
    /**
     * 素材内容
     */
    private String materialContent;
    /**
     * 素材图片url列表
     */
    private String materialImageUrls;

    /**
     * 素材压缩后的图片url列表
     */
    private String materialThumbnailImageUrls;

    /**
     * 素材图片信息列表{width:px,height:px,size:Bytes}
     */
    private String materialImageInfos;
    /**
     * 素材视频url
     */
    private String materialVideoUrl;
    /**
     * 视频信息{width:px,height:px,size:Bytes}
     */
    private String materialVideoInfo;
    /**
     * 素材视频封面url
     */
    private String materialVideoImageUrl;

    /**
     * 视频封面信息{width:px,height:px,size:Bytes}
     */
    private String materialVideoImageInfo;
    /**
     * 素材视频第一帧url
     */
    private String materialVideoFirstImageUrl;

    /**
     * 视频第一帧信息{width:px,height:px,size:Bytes}
     */
    private String materialVideoFirstImageInfo;
    /**
     * 视频时长
     */
    private Integer duration;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 关联商品列表
     */
    private List<ContentGoodsVO> contentGoodsList;

    /**
     * 审核状态0待审核1未通过2已通过
     */
    private Integer auditStatus;
    /**
     * 审核信息
     */
    private ContentAuditorVO auditor;

    /**
     * 转化人数
     */
    private Integer convsNum;

    /**
     * 转化金额
     */
    private Double convsAmt;

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public Integer getMaterialPurpose() {
        return materialPurpose;
    }

    public void setMaterialPurpose(Integer materialPurpose) {
        this.materialPurpose = materialPurpose;
    }

    public String getMaterialTitle() {
        return materialTitle;
    }

    public void setMaterialTitle(String materialTitle) {
        this.materialTitle = materialTitle;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public Integer getMaterialSource() {
        return materialSource;
    }

    public void setMaterialSource(Integer materialSource) {
        this.materialSource = materialSource;
    }

    public Integer getShelfStatus() {
        return shelfStatus;
    }

    public void setShelfStatus(Integer shelfStatus) {
        this.shelfStatus = shelfStatus;
    }

    public String getMaterialContent() {
        return materialContent;
    }

    public void setMaterialContent(String materialContent) {
        this.materialContent = materialContent;
    }

    public String getMaterialImageUrls() {
        return materialImageUrls;
    }

    public void setMaterialImageUrls(String materialImageUrls) {
        this.materialImageUrls = materialImageUrls;
    }

    public String getMaterialThumbnailImageUrls() {
        return materialThumbnailImageUrls;
    }

    public void setMaterialThumbnailImageUrls(String materialThumbnailImageUrls) {
        this.materialThumbnailImageUrls = materialThumbnailImageUrls;
    }

    public String getMaterialImageInfos() {
        return materialImageInfos;
    }

    public void setMaterialImageInfos(String materialImageInfos) {
        this.materialImageInfos = materialImageInfos;
    }

    public String getMaterialVideoUrl() {
        return materialVideoUrl;
    }

    public void setMaterialVideoUrl(String materialVideoUrl) {
        this.materialVideoUrl = materialVideoUrl;
    }

    public String getMaterialVideoInfo() {
        return materialVideoInfo;
    }

    public void setMaterialVideoInfo(String materialVideoInfo) {
        this.materialVideoInfo = materialVideoInfo;
    }

    public String getMaterialVideoImageUrl() {
        return materialVideoImageUrl;
    }

    public void setMaterialVideoImageUrl(String materialVideoImageUrl) {
        this.materialVideoImageUrl = materialVideoImageUrl;
    }

    public String getMaterialVideoImageInfo() {
        return materialVideoImageInfo;
    }

    public void setMaterialVideoImageInfo(String materialVideoImageInfo) {
        this.materialVideoImageInfo = materialVideoImageInfo;
    }

    public String getMaterialVideoFirstImageUrl() {
        return materialVideoFirstImageUrl;
    }

    public void setMaterialVideoFirstImageUrl(String materialVideoFirstImageUrl) {
        this.materialVideoFirstImageUrl = materialVideoFirstImageUrl;
    }

    public String getMaterialVideoFirstImageInfo() {
        return materialVideoFirstImageInfo;
    }

    public void setMaterialVideoFirstImageInfo(String materialVideoFirstImageInfo) {
        this.materialVideoFirstImageInfo = materialVideoFirstImageInfo;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<ContentGoodsVO> getContentGoodsList() {
        return contentGoodsList;
    }

    public void setContentGoodsList(List<ContentGoodsVO> contentGoodsList) {
        this.contentGoodsList = contentGoodsList;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public ContentAuditorVO getAuditor() {
        return auditor;
    }

    public void setAuditor(ContentAuditorVO auditor) {
        this.auditor = auditor;
    }

    public Integer getConvsNum() {
        return convsNum;
    }

    public void setConvsNum(Integer convsNum) {
        this.convsNum = convsNum;
    }

    public Double getConvsAmt() {
        return convsAmt;
    }

    public void setConvsAmt(Double convsAmt) {
        this.convsAmt = convsAmt;
    }
}

